import requests
import json
import time
import matplotlib.pyplot as plt
import pandas as pd
import numpy as np
from os import listdir
from os.path import isfile, join
import rdflib

results = pd.read_csv("./stf-results.csv")
query_count = np.array(list(range(1,13)))
for count in query_count:
	w3c = results["W3C-"+str(count)]
	oneM2M = results["M2M-"+str(count)]
	number = str(count)
	if len(number) == 1:
		number = "0"+number

	plt.plot(results['limits'], w3c, label='SQ'+number)
	#plt.plot(results['limits'], oneM2M, label='SRD'+number)
	plt.legend(framealpha=1, frameon=True,  loc='upper left', bbox_to_anchor=(1.05, 1))
	plt.xlabel('Nº of semantic descriptors involved')
	plt.ylabel('Query answering time (seconds)')
	plt.ylim(0, 0.2)
	
plt.show()